Skip to main content
GET
/
transfers
/
pending
List transfers with pending USDT trades
curl --request GET \
  --url https://api.bridge.xyz/v0/transfers/pending \
  --header 'Api-Key: <api-key>'
{
  "count": 123,
  "data": [
    {
      "id": "<string>",
      "amount": "<string>",
      "on_behalf_of": "<string>",
      "developer_fee": "<string>",
      "source": {
        "omad": "<string>",
        "imad": "<string>",
        "trace_number": "<string>",
        "bank_beneficiary_name": "<string>",
        "bank_beneficiary_address": "<string>",
        "bank_routing_number": "<string>",
        "bank_name": "<string>",
        "originator_name": "<string>",
        "originator_address": "<string>",
        "wire_message": "<string>",
        "bridge_wallet_id": "<string>",
        "sender_name": "<string>",
        "sender_bank_routing_number": "<string>",
        "end_to_end_id": "<string>",
        "description": "<string>",
        "tracking_number": "<string>",
        "clabe": "<string>",
        "bank_code": "<string>",
        "transaction_id": "<string>",
        "co_bank_transfer": {
          "sender_data": {
            "full_name": "<string>",
            "document_number": "<string>",
            "email": "<string>",
            "phone_number": "<string>"
          }
        },
        "from_address": "<string>"
      },
      "destination": {
        "external_account_id": "<string>",
        "bridge_wallet_id": "<string>",
        "omad": "<string>",
        "imad": "<string>",
        "trace_number": "<string>",
        "end_to_end_id": "<string>",
        "wire_message": "<string>",
        "sepa_reference": "<string>",
        "swift_reference": "<string>",
        "spei_reference": "<string>",
        "reference": "<string>",
        "ach_reference": "<string>",
        "uetr": "<string>",
        "blockchain_memo": "<string>",
        "deposit_id": "<string>",
        "tracking_number": "<string>",
        "transaction_id": "<string>",
        "sending_institution_name": "<string>",
        "amount": "<string>",
        "to_address": "<string>"
      },
      "receipt": {
        "initial_amount": "<string>",
        "developer_fee": "<string>",
        "exchange_fee": "<string>",
        "subtotal_amount": "<string>",
        "remaining_prefunded_balance": "<string>",
        "gas_fee": "<string>",
        "final_amount": "<string>",
        "source_tx_hash": "<unknown>",
        "destination_tx_hash": "<unknown>",
        "exchange_rate": "<unknown>",
        "url": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "client_reference_id": "<string>",
      "developer_fee_percent": "<string>",
      "source_deposit_instructions": {
        "amount": "<string>",
        "from_address": "<string>",
        "to_address": "<string>",
        "memoless_to_address": "<string>",
        "deposit_message": "<string>",
        "bank_name": "<string>",
        "bank_address": "<string>",
        "bank_routing_number": "<string>",
        "bank_account_number": "<string>",
        "bank_beneficiary_name": "<string>",
        "bank_beneficiary_address": "<string>",
        "intermediary_bank_name": "<string>",
        "intermediary_bank_bic": "<string>",
        "intermediary_bank_routing_number": "<string>",
        "iban": "<string>",
        "bic": "<string>",
        "clabe": "<string>",
        "account_holder_name": "<string>",
        "bre_b_key": "<string>",
        "start_url": "<string>",
        "redirect_url": "<string>",
        "expires_at": "<string>",
        "blockchain_memo": "<string>"
      },
      "return_details": {
        "reason": "<string>",
        "refund_reference_id": "<string>",
        "risk_rejection_reason": "<string>"
      },
      "return_instructions": {
        "address": "<string>",
        "memo": "<string>"
      },
      "exchange_details": {
        "fixed_rate": "<string>",
        "estimated_market_rate": "<string>",
        "traded_market_rate": "<string>",
        "trade_at_market": true,
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "template_id": "<string>"
    }
  ]
}

Authorizations

Api-Key
string
header
required

Query Parameters

limit
integer
default:10

The number of items to return (min 1, default 10, max 100)

Required range: 1 <= x <= 100
starting_after
string

This is a transfer id. If this is specified, the next page that starts with a transfer right AFTER the specified transfer id on the transfer timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that transfers older than the specified transfer id will be returned (shouldn't be set if ending_before is set)

ending_before
string

This is a transfer id. If this is specified, the previous page that ends with a transfer right BEFORE the specified transfer id on the transfer timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that transfers newer than the specified transfer id will be returned (shouldn't be set if starting_after is set)

Response

List of transfers with pending trades (the returned list is empty if none found)

count
integer
required

The number of transfers returned

data
object[]
required